function varargout = Menu_ppal(varargin)
% MENU_PPAL MATLAB code for Menu_ppal.fig
%      Liste des programmes :
%           - Première interface
%           - Menu principal
%           - Bilan de liaisons pour les liaisons fixes
%           - Bilan de liaisons pour les liaisons fixes et disponibilité
%           - Température et figure de bruit
%           - Distance minimale entre cellules
%           - Performances de modulation
%           - Dimensionnement des réseaux cellulaires
%           - Débit maximal 
%
%      MENU_PPAL, by itself, creates a new MENU_PPAL or raises the existing
%      singleton*.
%
%      H = MENU_PPAL returns the handle to a new MENU_PPAL or the handle to
%      the existing singleton*.
%
%      MENU_PPAL('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in MENU_PPAL.M with the given input arguments.
%
%      MENU_PPAL('Property','Value',...) creates a new MENU_PPAL or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before Menu_ppal_OpeningFcn gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to Menu_ppal_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help Menu_ppal
% By Anais LAMARI LE MOUROUX
% Last Modified by GUIDE v2.5 23-Jul-2020 12:04:49

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @Menu_ppal_OpeningFcn, ...
                   'gui_OutputFcn',  @Menu_ppal_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before Menu_ppal is made visible.
function Menu_ppal_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to Menu_ppal (see VARARGIN)

% Choose default command line output for Menu_ppal
handles.output = hObject;

% Update handles structure
guidata(hObject, handles);

imshow('logo_Ets.png','Parent', handles.image_logoEts, 'InitialMagnification','fit')
imshow('Fond_1st_interface.png','Parent', handles.image_menu_ppal, 'InitialMagnification','fit')



% UIWAIT makes Menu_ppal wait for user response (see UIRESUME)
% uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = Menu_ppal_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;


% --- Executes on button press in pushbutton_close.
function pushbutton_close_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_close (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

close all;


% % --- Executes when selected object is changed in uibuttongroup2.
% function uibuttongroup2_SelectionChangedFcn(hObject, eventdata, handles)
% % hObject    handle to the selected object in uibuttongroup2 
% % eventdata  reserved - to be defined in a future version of MATLAB
% % handles    structure with handles and user data (see GUIDATA)
% 
% if hObject == handles.radiobutton_Bilan_Liaisons_Hertz
%     Liaisons_fixes_BilanLiaison;
% end
% close Menu_ppal


% --- Executes on button press in radiobutton_Bilan_Liaisons_Hertz.
function radiobutton_Bilan_Liaisons_Hertz_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton_Bilan_Liaisons_Hertz (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton_Bilan_Liaisons_Hertz
if hObject == handles.radiobutton_Bilan_Liaisons_Hertz
    Liaisons_fixes_BilanLiaison;
end
close Menu_ppal

% --- Executes on button press in radiobutton_LiaisonsHertz_Dispo.
function radiobutton_LiaisonsHertz_Dispo_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton_LiaisonsHertz_Dispo (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton_LiaisonsHertz_Dispo

if hObject == handles.radiobutton_LiaisonsHertz_Dispo
    Liaisons_fixes_BilanLiaison_Dispo;
end
close Menu_ppal


% --- Executes on button press in radiobutton_Calcul_Probablocage_N_Q.
function radiobutton_Calcul_Probablocage_N_Q_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton_Calcul_Probablocage_N_Q (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton_Calcul_Probablocage_N_Q

if hObject == handles.radiobutton_Calcul_Probablocage_N_Q
    Dim_ProbaBlocage_Nlignes_Qtrafic;
end
close Menu_ppal


% --- Executes on button press in radiobutton_Calcul_Dmin_Ncellule.
function radiobutton_Calcul_Dmin_Ncellule_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton_Calcul_Dmin_Ncellule (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton_Calcul_Dmin_Ncellule

if hObject == handles.radiobutton_Calcul_Dmin_Ncellule
    Dim_DistanceMin_Ncellules;
end

close Menu_ppal


% --- Executes on button press in radiobutton_Calcul_Dim_Reseau_Cell.
function radiobutton_Calcul_Dim_Reseau_Cell_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton_Calcul_Dim_Reseau_Cell (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton_Calcul_Dim_Reseau_Cell

if hObject == handles.radiobutton_Calcul_Dim_Reseau_Cell
    Dimensionnement_reseau_cellulaire;
end

close Menu_ppal


% --- Executes on button press in radiobutton_Perf_Modulation.
function radiobutton_Perf_Modulation_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton_Perf_Modulation (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton_Perf_Modulation

if hObject == handles.radiobutton_Perf_Modulation
    Performances_Modulations;
end

close Menu_ppal


% --- Executes on button press in pushbutton3.
function pushbutton3_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on button press in radiobutton21.
function radiobutton21_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton21 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton21


% --- Executes on button press in radiobutton22.
function radiobutton22_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton22 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton22


% --- Executes on button press in radiobutton23.
function radiobutton23_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton23 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton23


% --- Executes on button press in radiobutton24.
function radiobutton24_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton24 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton24


% --- Executes on button press in radiobutton25.
function radiobutton25_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton25 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton25


% --- Executes on button press in radiobutton26.
function radiobutton26_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton26 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton26


% --- Executes on button press in radiobutton27.
function radiobutton27_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton27 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton27


% --- Executes during object creation, after setting all properties.
function image_menu_ppal_CreateFcn(hObject, eventdata, handles)
% hObject    handle to image_menu_ppal (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: place code in OpeningFcn to populate image_menu_ppal


% --- Executes on button press in radiobutton_Calcul_Temp_Fig_bruit_equiv.
function radiobutton_Calcul_Temp_Fig_bruit_equiv_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton_Calcul_Temp_Fig_bruit_equiv (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton_Calcul_Temp_Fig_bruit_equiv


if hObject == handles.radiobutton_Calcul_Temp_Fig_bruit_equiv
    Temperature_FigureBruit_Equivalentes; % Ouverture du programme "Calcul de la température de bruit et de la figure de bruit équivalentes"
end

close Menu_ppal


% --- Executes on button press in radiobutton_Calcul_Debit_max_5G.
function radiobutton_Calcul_Debit_max_5G_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton_Calcul_Debit_max_5G (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton_Calcul_Debit_max_5G


if hObject == handles.radiobutton_Calcul_Debit_max_5G
    Debit_max;
end

close Menu_ppal
